﻿.contact-bg{
    width: 100%;
    height: 110%;
    display: block;
    position: relative;
    background-image: url('../img/contact-bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    z-index: 2;
    transition: all .4s linear;
}
.contact-box {
    width: 1000px;
    max-width: 100%;
    padding-top: 100px;
    height: calc(100vh - 100px);
    position: relative;
    z-index: 9;
    margin: 0 auto;
    display: -webkit-flex;
   display:         flex;
   -webkit-align-items: center;
          align-items: center;
   -webkit-justify-content: center;
          justify-content: center;
}

.contact-box2{
  width: 100%;
  display: block;
}

.contact-box .title{
  color: #FFF;
}
.contact-info-form{
  width: 100%;
  padding: 50px 0;

}
.contact-info-form li{
  width: 49%;
  display: block;
  color: #FFF;
  font-size: 18px;
  position: relative;
  padding-bottom:31px;
}
.contact-info-form li input{
  width: 100%;
  border:1px solid #FFF;
  box-sizing: border-box;
  height: 46px;
  line-height: 46px;
  color: #FFF;
  font-size: 18px;
  padding-left: 10px;
  background-color: rgba(0, 0, 0, 0.0);
  outline: none;
}
.contact-lable{
  display: block;
  position: absolute;
  top: 8px;
  left: 10px;

}
.contact-lable span{
  color: red;
}
.contact-info-form li select{
  width: 100%;
  border:1px solid #FFF;
  height: 46px;
  box-sizing: border-box;
  height: 46px;
  line-height: 46px;
  color: #FFF;
  font-size: 18px;
  padding-left: 10px;
  background-color: rgba(0, 0, 0, 0.0);
}

.need {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-expand: none;
    vertical-align: top;
    background-color: rgba(0, 0, 0, 0.0);
    border: 1px solid #FFF;
    color: #FFF;
    border-left: none;
    background-position: 100% center;
    background-repeat: no-repeat;
    width: calc(100% - 140px);
    line-height: 44px;
    height: 46px;
    font-size: 18px;
    padding-left: 20px;
    outline: none;
    position: relative;
    z-index: 5;
    cursor: pointer;
}
.need-box:before {
    content: '';
    width: 42px;
    display: block;
    border-left: 1px solid #FFF;
    height: 46px;
    position: absolute;
    top: 0;
    right: 0;
}
.contact-info-form li select option{
  color: #000;
  line-height: 1.6;
}

.need-box:after {
    content: '';
    width: 0px;
    display: block;
    position: absolute;
    top: 18px;
    right: 10px;
    border-right: 10px solid transparent;
    border-top: 10px solid #FFF;
    border-left: 10px solid transparent;
}

#name:focus + label, 
#phone:focus + label, 
#mail:focus + label, 
#company:focus + label {
    display: none;
}

.contact-textarea {

    display: block;
}
.contact-textarea textarea {
    width: 100%;
    height: 200px;
    padding-left: 10px;
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.0);
    border: 1px solid #FFF;
    font-size: 18px;
    letter-spacing: 2px;
    color: #FFF;
    outline: none;
    padding-top: 5px;
    resize: none;
}
.contact-info-form li.verification{
  font-size: 0;
}
.contact-info-form li.verification input{
    width: 70%;
    display: inline-block;
    vertical-align: top;
    font-size: 18px;
}
.verification-show{
  width: 30%;
  line-height: 46px;
  font-size: 18px;
  text-align: center;
  display: inline-block;
  vertical-align: top;
  background-color: #FFF;
  color: #124555;
}
.contact-info-form li.button input{
  background-color: #124555;
  letter-spacing: 2px;
  border: 0;
  font-family: "微軟正黑體";
}
.contact-bottom-line{
  width: 100%;
  height: 2px;
  background-color:  #124555;
  display: block;
}


.left{
  float: left;
}
.right{
  float: right;
}
::-webkit-input-placeholder { color:#FFF;font-family: "微軟正黑體"; letter-spacing: 3px;}
::-moz-placeholder { color:#FFF;font-family: "微軟正黑體"; letter-spacing: 3px;} firefox 19+
:-ms-input-placeholder { color:#FFF;font-family: "微軟正黑體"; letter-spacing: 3px;} /* ie */
input:-moz-placeholder { color:#FFF;font-family: "微軟正黑體"; letter-spacing: 3px;}


/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color: #ECAECA;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

.contact-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url('../img/contact-mask.png');
    opacity: 0.8;
    z-index: 3;
}